What if I switch to version 4 and it does not work as expected?